/*
	Theme Name:   FOFATO
	Theme URI:    https://fofato.co.uk
	Description:  FOFATO child theme
	Author:       Dan Cahill
	Author URI:   https://www.cahillcreative.co.uk
	Template:     Divi
	Version:      1.0
	Text Domain:  Dan Cahill Design
*/



/*
	Site colors
	
	#C31401 - rgb(195,20,1) 	- Red
	#1D683A - rgb(29,104,59) 	- Green
	#131313 - rgb(19,19,19) 	- Gray Dark
	#E1E2E4 - rgb(225,226,228) 	- Gray Light
	#FFFFFF - rgb(255,255,255) 	- White
	
*/



/*
	General styling
******************************/
::-moz-selection { background: #1D683A; color: #FFF; }
::selection { background: #1D683A; color: #FFF; }

:root {
	--red: #C31401;
	--white: #FFF;
	--grey-dark: #131313;
	--grey-light: #E1E2E4;
	--green: #1D683A;
	--shadow: rgba(0,0,0,0.5);
}

h1, h2, h3, h4 {
	line-height: 1.5em;
}
h1 { font-size: 32px; }
h2 { font-size: 28px; }
h3 { font-size: 25px; }
h4 { font-size: 22px; }

.et_overlay {
	display: none !important;
}
input, 
textarea, 
select, 
option {
	border-radius: 0 !important;
}
.et_pb_section:first-of-type {
	padding-top: 0;
}



/* Buttons */
.add_to_cart_button, 
.added_to_cart, 
.view-product, 
.woocommerce li.product a.button, 
.woocommerce li.product a.button:hover {
	display: inline-block;
	width: 90px;
	margin: 0 5px 5px 0 !important;
	padding: 1em 5px !important;
	font-size: 12px !important;
	text-align: center;
	line-height: 1 !important;
	color: var(--white);
}
.woocommerce li.product a.button::after {
	display: none;
}
.add_to_cart_button {
	color: var(--white) !important;
	background: var(--red);
}
.added_to_cart, 
.view-product {
	color: var(--white) !important;
	background: var(--grey-dark);
}
.added_to_cart {
	position: absolute;
	left: 0;
	bottom: -40px;
}
.jvm_add_to_wishlist {
	position: relative;
	display: inline-block;
	height: 36px;
	width: 35px;
	margin-bottom: -13px;
	font-size: 16px;
	text-align: center;
	background: var(--grey-light);
}
.cart .jvm_add_to_wishlist {
	height: 41px;
	width: 41px;
	margin-bottom: -17px;
}
.jvm_add_to_wishlist_heart {
	position: absolute;
	top: 50%;
	left: calc(50% - 8px);
}
.woocommerce button.button:disabled[disabled] {
	color: var(--grey-light);
}
button:hover, 
.button:hover, 
.et_pb_button:hover, 
.et_pb_more_button:hover, 
.et_pb_promo_button:hover, 
.add_to_cart_button:hover, 
.view-product:hover, 
.jvm_add_to_wishlist:hover, 
.shop_table .button:hover, 
.checkout-button:hover {
	opacity: .8;
}

.jvm_add_to_wishlist_text_add, 
.jvm_add_to_wishlist_text_remove {
	display: none;
}


ul.products li {
	font-size: 0;
}
ul.products .woocommerce-loop-product__title {
	font-size: 14px !important;
}
.woocommerce ul.products li.product .price {
	padding-bottom: 10px;
	font-weight: 700 !important;
	color: var(--red) !important;
}
/* end General styling */



/* 
	Header
******************************/
/* Top header */
#top-header #et-info {
	float: right;
}
@media (max-width: 479px) {
	.et_header_style_left #logo, 
	.et_header_style_split #logo {
		max-width: 30%;
	}
	#et-top-navigation {
		padding-left: 140px !important;
	}
}

/* Menu Wishlist & Cart buttons */
.evo-after-nav {
	float: left;
	min-width: 85px;
}
.wishlist-count, 
#et-top-navigation .et-cart-info {
	float: right;
	position: relative;
	margin: -12px -12px 0 32px !important;
}
	/* a > span */
.wishlist-count span, 
.et-cart-info span {
	display: inline-block;
	width: 22px;
	height: 22px;
	font-size: 12px;
	font-weight: 500;
	color: var(--white);
	text-align: center;
	line-height: 22px;
	background: var(--red);
	border-radius: 50%;
}
	/* a > span::before */
.wishlist-count span::before, 
.et-cart-info span::before {
    position: absolute;
	top: 12px;
	left: -12px;
	font-size: 16px;
	color: var(--grey-dark);
	line-height: 1;
	z-index: -1;
}
.wishlist-count span::before {
	content: "\e901";
	font-family: 'WooCommerce-Wishlist';
}
	/* a::after */
.wishlist-count::after, 
.et-cart-info::after {
	content: '';
	position: absolute;
	top: 0;
	right: 0;
	width: 180%;
	height: 150%;
}

.et_pb_menu_hidden .wishlist-count {
	opacity: 0;
	-webkit-animation: fadeOutBottom 1s cubic-bezier(.77,0,.175,1) 1;
	animation: fadeOutBottom 1s cubic-bezier(.77,0,.175,1) 1;
}
.et_pb_menu_visible .wishlist-count {
	z-index: 99;
	opacity: 1;
	-webkit-animation: fadeInBottom 1s cubic-bezier(.77,0,.175,1) 1;
	animation: fadeInBottom 1s cubic-bezier(.77,0,.175,1) 1;
}

@media (max-width: 980px) {
	#et-top-navigation .et-cart-info, 
	#et-top-navigation .wishlist-count {
		margin: 0 20px 0 0 !important;
	}
}
/* end Header */



/*
	Page Titles
******************************/
body:not(.home) #main-content {
	padding-top: 0;
	border-top: 70px solid #C9C9C9;
}
body:not(.home) #main-content .container {
	padding-top: 0 !important;
}
body:not(.et-tb-has-template):not(.et_pb_pagebuilder_layout) .entry-title, 
.evo-page-title.et_pb_row {
	padding: 20px 25px !important;
	background: var(--white);
	box-shadow: 0 0 10px -5px var(--shadow);
	transform: translateY(-35px) !important;
}
.entry-title, 
.page-title, 
.evo-page-title h2 {
	padding: 0;
	font-size: 24px;
}
.evo-page-title .woocommerce-breadcrumb {
	margin: 5px 0 0;
}
.evo-page-title .et_pb_column {
	margin-bottom: 0;
}
/* end Page Titles */

/* Sidebars */
@media (min-width: 981px) {
	#sidebar {
		padding: 70px 0 30px 0 !important;
	}
}
#main-content .et_pb_widget {
	padding: 10px;
	border: 1px solid var(--grey-light);
}
#main-content .widgettitle {
	padding: 10px;
	margin: -10px -10px 10px;
	background: var(--grey-light);
}

/* Sidebar vertical line */
#main-content > .container::before {
	display: none;
}
/* end Sidebars */



/* 
	Home Slider
******************************/
.evo-home-slider .et_pb_slide_description {
	float: left;
	text-align: left;
	line-height: 1.2; 
}
@media (min-width: 781px) {
	.evo-home-slider .et_pb_slide_description {
		width: 80%;
	}
}
@media (min-width: 981px) {
	.evo-home-slider .et_pb_slide_description {
		width: 50%;
	}
}
.evo-home-slider .et_pb_slide_with_image .et_pb_slide_description {
	max-width: 610px;
	padding-left: 8%;
}
.evo-home-slider .et_pb_slide_image {
	right: 0;
	margin-right: 0;
}

.evo-home-slider .et_pb_slide_content {
	font-size: 22px;
}
/* end Home Slider */



/* 
	Info Boxes
******************************/
.evo-info-boxes .et_pb_blurb {
}
.evo-info-boxes .et_pb_main_blurb_image {
	margin-bottom: 15px;
}
.evo-info-boxes .et_pb_module_header {
	font-size: 28px;
	font-weight: 900;
	text-align: center;
}
/* end Info Boxes */



/* 
	Intro
******************************/
.evo-intro {
	line-height: 1.2;
}
/* end Intro */


/* 
	Testimonials
******************************/
.evo-testimonials {
	max-width: 900px;
}
.et_pb_testimonial {
	background: transparent !important;
	margin-top: -20px;
}
.et_pb_testimonial::before {
	display: none;
}
.et_pb_testimonial_portrait {
	width: 150px !important;
	height: 150px !important;
	margin-left: 15px;
}
@media (min-width: 768px) {
	.et_pb_testimonial_description {
		margin: 10px 0 0 200px !important;
	}
}
.et_pb_testimonial_description::before {
	content: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACsAAAAiCAMAAADxjNA6AAAAmVBMVEUAAAATExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExMTExP///8TExODg4PGxsb09PTp6emJiYl5eXnw8PCfn599fX34+Pjk5OTa2tqzs7OampqQkJDe3t7Jycm9vb2np6dxcXGtr5QOAAAAHXRSTlMAicrCCvnndwV7Lh4VRe3i17mjk4FnVjcmG/bQqw2CHlsAAAEdSURBVDjLldLXUsMwEAVQ1NxNCiEFWPeSSvv/jyOLIzwa7zJwH89cSx7t3v0tekqbxwlxHs0eXOA9es59B3iPZPfp3MX7Vnb7p7VDnMeLM1ReOgLvenkBOM43o7AeiBwA3tR2JNb9pr3a+yKxwPs6e4VrTi/aCuvRrADMx9IK61p18J2zHQ/voochFzEA7+l9ezM7Sta1OsEtWTgQ62EGNgcjAiTO9fwIPykbmSAynuLnY2qJJzC+qsFJI7BJuypca02MVdLxYZzUK6ySngG4KRRWKZ9a5WGV8qntDVYp/9+5B/J/SfdzR+yikB6b0qFyeF/aRUPNjfZA1sQ+MJ7IvrQX9XbPONfC5EUFVZEboQf6xXeh8jJPhTsLpH8B2HpWRzNdZY8AAAAASUVORK5CYII=');
	position: absolute;
	top: -50px;
	left: 0;
}
/* end Testimonials */



/* 
	Showcase
******************************/
.evo-showcase {
	background: #F1F2F4;
		padding: 25px 7vw;
}
@media (min-width: 768px) {
	.evo-showcase.et_pb_row {
		display: flex;
		width: 90%;
		max-width: 2560px;
		padding: 25px 50px;
	}
}
@media (max-width: 980px) {
	.evo-showcase .et_pb_column {
		padding: 0 3vw;
	}
}
@media (min-width: 981px) {
	.evo-showcase .et_pb_column {
		display: flex;
		flex-flow: column nowrap;
		justify-content: center;
	}
	.evo-showcase .et_pb_column {
		width: 50%;
	}
}
.evo-showcase .et_pb_image, 
.evo-showcase .et_pb_promo {
	max-width: 500px;
	width: 100%;
}
.evo-showcase .et_pb_image {
	background: var(--white);
	border-radius: 50%;
	overflow: hidden;
	margin: 0 0 0 auto;
} 
.evo-showcase .et_pb_promo .et_pb_module_header {
	color: var(--red) !important;
	font-weight: 800;
	font-size: 3em;
}
.evo-showcase .et_pb_promo_description > div h3 {
	font-weight: 400;
}
/* end Showcase */



/* 
	WooCommerce
******************************/
/* Home products */
.et_pb_shop .price {
	display: flex !important;
}
.et_pb_shop .price ins {
	order: -1;
	margin-right: 10px;
	font-weight: 900;
	font-size: 120%;
	color: var(--red);
}
.et_pb_shop .price del .amount {
	color: var(--grey-dark) !important;
}
/* end Home products */

/* Shop page */
.et_pb_shop .woocommerce-result-count {
	display: none;
}
.et_pb_shop .woocommerce-ordering {
	float: left;
}
.et_pb_shop .woocommerce-ordering select {
	background: var(--white);
	border: 1px solid #CCC;
	padding: 5px;
}
.et_pb_shop .products {
	padding-top: 20px !important;
}
.et_pb_shop .woocommerce-pagination {
	position: absolute;
	top: -1px;
	right: 0;
}
@media (max-width: 479px) {
	.et_pb_shop .woocommerce-pagination {
		width: 100%;
		top: -50px;
	}
	.et_pb_shop .woocommerce-ordering {
		display: table;
		float: none;
		margin: auto;
	}
}
/* end Shop page */

/* Add to cart notice */
.single-product .et_pb_wc_cart_notice a.button.wc-forward, 
.single-product .et_pb_wc_cart_notice a.button.wc-forward:hover {
	color: var(--red) !important;
	background: var(--white) !important;
	opacity: 1;
}

/* Price */
.single-product .et_pb_wc_price .price del {
	display: none !important;
}
/* end Price */

/* Quantity plus/minus */
.single-product .cart .qty-text, 
form.woocommerce-cart-form .quantity {
	display: inline-block;
	margin-right: 15px;
	font-size: 1rem;
	font-weight: 700;
	text-transform: uppercase;
	transform: translateY(3px);
}
form.woocommerce-cart-form .quantity {
	width: auto;
}
.single-product .cart .quantity, 
form.woocommerce-cart-form .quantity {
	border: 1px solid rgba(0,0,0,0.1);
}
.single-product .cart input.qty, 
form.woocommerce-cart-form .quantity .input-text {
	height: unset;
	font-weight: 700 !important;
	color: inherit !important;
	background: transparent !important;
}
.single-product .cart input.qty, 
.single-product .cart .plus, 
.single-product .cart .minus, 
form.woocommerce-cart-form .quantity .qty, 
form.woocommerce-cart-form .product-quantity .plus, 
form.woocommerce-cart-form .product-quantity .minus {
	padding: 0.3rem;
	font-size: 1rem !important;
	line-height: 1.5rem !important;
}
.single-product .cart .plus, 
.single-product .cart .minus, 
form.woocommerce-cart-form .product-quantity .plus, 
form.woocommerce-cart-form .product-quantity .minus {
	width: 20px;
	background: var(--red);
	color: var(--white);
	border: 1px solid var(--red);
	transform: translateY(2px);
}
.single-product .cart .minus {
	margin-right: -4px;
	border-radius: 7px 0 0 7px;
}
.single-product .cart .plus {
	margin-left: 0px;
	border-radius: 0 7px 7px 0;
}
form.woocommerce-cart-form .product-quantity .minus {
	margin-right: 0;
	border-radius: 7px 0 0 7px;
}
form.woocommerce-cart-form .product-quantity .plus {
	margin-left: -15px;
	border-radius: 0 7px 7px 0;
}
form.woocommerce-cart-form .product-quantity .minus,
form.woocommerce-cart-form .product-quantity .plus {
	transform: translateY(4px);
}
.single-product .cart input.qty::-webkit-outer-spin-button, 
.single-product .cart input.qty::-webkit-inner-spin-button, 
form.woocommerce-cart-form .quantity .qty::-webkit-outer-spin-button, 
form.woocommerce-cart-form .quantity .qty::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.single-product .cart input.qty[type=number], 
form.woocommerce-cart-form .quantity input.qty[type=number] {
  -moz-appearance: textfield;
}
/* end Quantity plus/minus */

/* Product Share */
.single-product .cart .evo-share-product {
	margin-top: 25px;
	padding: 25px 0;
	border-top: 1px solid rgba(0,0,0,0.1);
}
.single-product .cart .evo-share-product > span {
	font-weight: 700;
	color: var(--red);
	margin-right: 10px;
}
.single-product .evo-share-product a {
	margin-right: 5px;
}
.single-product .evo-share-product .dashicons-facebook {
	color: #3b5999
}
.single-product .evo-share-product .dashicons-twitter {
	color: #55acee;
}
.single-product .evo-share-product .dashicons-instagram {
	color: #e4405f;
}
/* end Product share */

/* Cart page */
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button {
	width: max-content;
	margin: 0 auto 1em;
}
.woocommerce-cart table.cart td.actions .coupon .input-text, 
.woocommerce-page .quantity input.qty, 
.woocommerce .quantity input.qty {
	padding: .3em 1em;
	height: unset;
	line-height: 1.7em;
}
.woocommerce-page .quantity input.qty, 
.woocommerce .quantity input.qty {
	padding: 5px 0;
}
/* end Cart page */

/* Checkout page */
.select2-container--default .select2-selection--single {
	display: table !important;
	width: 100%;
	border-radius: 0 !important;
}
.select2-container .select2-selection--single .select2-selection__rendered {
	padding: 15px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
	top: calc(50% - 13px) !important;
}
/* end Checkout page */

/* Additional info tabs */
.et_pb_wc_tabs {
	border: 1px solid rgba(0,0,0,0.1);
}
.et_pb_wc_tabs .et_pb_tabs_controls, 
.et_pb_wc_tabs .et_pb_tabs_controls::after {
	border: none;
	background: transparent;
}
.et_pb_wc_tabs .et_pb_tabs_controls {
	padding: 24px 30px 0 30px !important;
}
.et_pb_wc_tabs .et_pb_tabs_controls li {
	margin-right: 5px;
	border: none;
}
.et_pb_wc_tabs .et_pb_tabs_controls li a {
	padding: 1em 2em;
	font-weight: 700;
	color: var(--white) !important;
	text-transform: uppercase;
	border-radius: 10px 10px 0 0;
	background: var(--grey-dark);
}
.et_pb_wc_tabs .et_pb_tabs_controls .et_pb_tab_active a {
	background: var(--red);
}
/* end Additional info tabs */

/* End WooCommerce */

/* 
	Wishlist page 
*/
.jvm-woocommerce-wishlist-table {
	width: 100%;
	border: 1px solid #EEE;
	border-radius: 5px;
	border-collapse: separate;
}
.jvm-woocommerce-wishlist-table th {
	color: #555;
}
.jvm-woocommerce-wishlist-table td {
    border-top: 1px solid rgba(0,0,0,.1);
    padding: 9px 12px;
    vertical-align: middle;
    line-height: 1.5em;
	text-align: center;
}
.jvm-woocommerce-wishlist-table .product-thumbnail, 
.jvm-woocommerce-wishlist-table .product-name {
	text-align: left;
}
.jvm-woocommerce-wishlist-table .product-thumbnail img {
	width: 100px;
}
/* end Whishlist page */



/* 
	Footer Overlap
******************************/
.home #main-content .et_pb_section:last-of-type .et_pb_row:last-of-type {
	margin-bottom: -150px;
}
.home #main-footer {
	padding-top: 100px;
}
/* end Footer Overlap */



/* 
	Footer Widgets
******************************/
#footer-widgets .et_pb_widget {
	display: table;
	float: none;
	margin: auto;
}
#footer-widgets .widget_media_image {
	margin: 0 0 5px 0;
}
@media (max-width: 767px) {
	#footer-widgets .fwidget.widget_media_image {
		margin: 0 auto 10px !important;
	}
	#footer-widgets .widget_nav_menu li {
		text-align: center;
	}
}
#footer-widgets .textwidget {
	font-size: .9em;
}
#footer-widgets .widget_nav_menu li::before {
	display: none;
}
#footer-widgets .widget_nav_menu li a:not(:hover), 
#footer-widgets .contact a:not(:hover) {
	color: var(--white);
}
#footer-widgets .contact a:first-of-type {
	display: block;
	margin-bottom: 10px;
	font-size: 170%;
	font-weight: 500;
}
#footer-widgets .contact span {
	margin: 3px 5px 0 0;
}
/* end Footer Widgets */



/* 
	Footer
******************************/
#main-footer {
	background: url(img/footer-bg.png) no-repeat 50% / 100% auto var(--grey-dark);
}
#footer-bottom {
	background: transparent !important;
}
#footer-info {
	width: 100%;
}
#footer-info a {
    font-weight: 500;
    color: #000;
}


/* 
	Footer Credits
******************************/

#credits, 
#footer-bottom:not(:hover) #credits a {
	color: #fff;
}
#footer-bottom #credits a {
	border-bottom-width: 1px;
	border-style: dotted;
}
#footer-bottom #credits a:hover {
	border-style: solid;
}
#credits a.cahill:hover { color: #7DC5EA; }
#credits a.vertevo:hover { color: #090; }

@media all and (min-width: 981px) {
	#credits {
		display: inline-block;
		margin-left: 10px;
	}
}

@media all and (min-width: 981px) {
	#credits {
		float: right;
		display: inline-block;
		margin-left: 10px;
	}
}
/* end Footer Credits */


